package com.shiyanlou.sso;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.security.oauth2.client.EnableOAuth2Sso;
import org.springframework.security.core.Authentication;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @ClassName ShiyanlouSsoClientApplication
 * @Description 启动类
 * @Modify ...
 */
@SpringBootApplication
@RestController
@EnableOAuth2Sso // 开启单点登录
public class ShiyanlouSsoClientApplication {


    public static void main(String[] args) {
        SpringApplication.run(ShiyanlouSsoClientApplication.class, args);
    }

    //编写一个获取当前服务器的用户信息控制器
    @GetMapping("/user")
    public Authentication user(Authentication user){
        return user;
    }
}